## org.eclipse.emf.codegen.jet
Class JETConstantDataGenerator

    java.lang.Object
      org.eclipse.emf.codegen.jet.JETCharDataGenerator
          org.eclipse.emf.codegen.jet.JETConstantDataGenerator

All Implemented Interfaces:
  JETGenerator

    public class JETConstantDataGenerator

extends JETCharDataGenerator

The JETConstantDataGenerator generates constant declaration of the strings.

Field Summary
`protected static java.lang.String` `CONSTANT_DECLARATION_BEGIN`
`protected static java.lang.String` `CONSTANT_DECLARATION_END`
`protected static java.lang.String` `CONSTANT_DECLARATION_MIDDLE`
`protected java.lang.String` `label`

Fields inherited from class org.eclipse.emf.codegen.jet.JETCharDataGenerator
`characters, FUNCTION_CALL_BEGIN, FUNCTION_CALL_END, NEW_LINE_BEGIN, NEW_LINE_END, NEW_LINE_MIDDLE`

Constructor Summary
`JETConstantDataGenerator(char[] characters, java.lang.String label)`

Method Summary
`java.lang.String` `generate()`
`java.lang.String` `generateConstant()`

Methods inherited from class org.eclipse.emf.codegen.jet.JETCharDataGenerator
`generateCharData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSTANT_DECLARATION_BEGIN

    protected static final java.lang.String CONSTANT_DECLARATION_BEGIN

See Also:
  Constant Field Values

### CONSTANT_DECLARATION_MIDDLE

    protected static final java.lang.String CONSTANT_DECLARATION_MIDDLE

See Also:
  Constant Field Values

### CONSTANT_DECLARATION_END

    protected static final java.lang.String CONSTANT_DECLARATION_END

See Also:
  Constant Field Values

### label

    protected java.lang.String label

Constructor Detail

### JETConstantDataGenerator

    public JETConstantDataGenerator(char[] characters,
                                    java.lang.String label)

Method Detail

### generate

    public java.lang.String generate()

  Specified by:
    `generate` in interface `JETGenerator`
  Overrides:
    `generate` in class `JETCharDataGenerator`

### generateConstant

    public java.lang.String generateConstant()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.